#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( actions )
add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### kaboodle (library) ########################

tde_add_library( kaboodle STATIC_PIC AUTOMOC
  SOURCES
    conf.cpp
    controls.cpp
    engine.cpp
    player.cpp
    view.cpp
    kaboodle_factory.cpp
)


##### libkaboodle (module) ######################

tde_add_kpart( libkaboodlepart AUTOMOC
  SOURCES
    ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp
  EMBED
    kaboodle-static
  LINK
    tdeparts-shared
    DCOP tdecore-shared tdeui-shared tdefx-shared tdeio-shared tdetexteditor-shared
    mcop qtmcop kmedia2_idl soundserver_idl artsflow_idl artskde-shared tdemediaplayer-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp "" )


##### kaboodle (executable) #####################

tde_add_executable( kaboodle AUTOMOC
  SOURCES
    main.cpp
    kaboodleapp.cpp
    userinterface.cpp
  LINK
    kaboodle-static tdeparts-shared
    DCOP tdecore-shared tdeui-shared tdefx-shared tdeio-shared tdetexteditor-shared
    mcop qtmcop kmedia2_idl soundserver_idl artsflow_idl artskde-shared tdemediaplayer-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES kaboodle.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)
install(
  FILES kaboodleui.rc kaboodlepartui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kaboodle
)
install(
  FILES kaboodle_component.desktop kaboodleengine.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)
